Notifications about being mentioned don't point to the section of the mention anymore
Closed, ResolvedPublic

Description

Before the design of the fly-out menu was changed, the mention notifications pointed to the section where I was mentioned. Right now they point at the begin of the article, I think this should be fixed, that it works as it did before.

MGChecker updated the task description. (Show Details)
MGChecker raised the priority of this task from to Needs Triage.
MGChecker renamed this task from Notifications about being mentiones don't point to the section of the mention anymore to Notifications about being mentioned don't point to the section of the mention anymore.Jan 16 2016, 10:12 PM
MGChecker set Security to None.

Yeah, I noticed this too. Should be added as an additional secondary link IMO.

Hah, weird. I can confirm that it doesn't work, but I can also see that the code tries to make it work.

Catrope claimed this task.Jan 19 2016, 5:35 PM

Change 264971 had a related patch set uploaded (by Catrope):
Make the mention notification actually link to the right section

https://gerrit.wikimedia.org/r/264971

Change 264971 merged by jenkins-bot:
Make the mention notification actually link to the right section

https://gerrit.wikimedia.org/r/264971

Etonkovidova added a subscriber: Etonkovidova.EditedJan 26 2016, 11:56 PM

Checked locally - clicking on Mention notification directs to a topic page with Mention (and to the correct section of the topic).

jmatazzoni closed this task as Resolved.Feb 16 2016, 11:50 PM